package org.apache.maven.jelly.tags.maven;

/* ====================================================================
 *   Copyright 2001-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import org.apache.maven.jelly.tags.BaseTagLibrary;

/**
 * MavenSession tag library for use in Jelly scripts.
 *
 * @author <a href="mailto:jason@zenplex.com">Jason van Zyl</a>
 * @author <a href="mailto:brett@apache.org">Brett Porter</a>
 * @author <a href="mailto:vmassol@apache.org">Vincent Massol</a>
 * @version $Id: MavenTagLibrary.java 423634 2006-07-19 22:13:40Z aheritier $
 */
public class MavenTagLibrary
    extends BaseTagLibrary
{
    /**
     * Create an instance of the {@link MavenTagLibrary}, registering related
     * tag libraries
     */
    public MavenTagLibrary()
    {
        registerTag( "snapshot", SnapshotSignature.class );
        registerTag( "addPath", AddPathTag.class );
        registerTag( "maven", MavenTag.class );
        registerTag( "pom", PomTag.class );
        registerTag( "reactor", ReactorTag.class );
        registerTag( "concat", ConcatTag.class );
        registerTag( "input", InputTag.class );
        registerTag( "makeAbsolutePath", MakeAbsolutePathTag.class );
        registerTag( "makeRelativePath", MakeRelativePathTag.class );
        registerTag( "userCheck", UserCheck.class );
        registerTag( "paramCheck", ParamCheck.class );
        registerTag( "pluginVar", PluginVarTag.class );
        registerTag( "get", GetTag.class );
        registerTag( "set", SetTag.class );
        registerTag( "copyResources", CopyResources.class );
        registerTag( "rootRelativePath", RootRelativePathTag.class );
        registerTag( "property", PropertyTag.class );
        registerTag( "installPlugin", InstallPluginTag.class );
        registerTag( "uninstallPlugin", UninstallPluginTag.class );
        // Remove the following deprecated forms
        registerTag( "user-check", UserCheck.class );
        registerTag( "param-check", ParamCheck.class );
        registerTag( "copy-resources", CopyResources.class );
    }
}
