package org.apache.maven.plugin;

/* ====================================================================
 *   Copyright 2001-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

/**
 *
 * @author <a href="mailto:brett@apache.org">Brett Porter</a>
 * @version $Id: PluginDefinitionHandler.java 423634 2006-07-19 22:13:40Z aheritier $
 */
interface PluginDefinitionHandler
{
    void setDefaultGoalName( String defaultGoalName );

    void addPluginDynaTagDep( JellyScriptHousing housing, String uri );

    void removePluginDynaTagDep( JellyScriptHousing housing, String uri );

    void addPostGoal( String name, JellyScriptHousing housing );

    void addPreGoal( String name, JellyScriptHousing housing );

    void addGoal( String name, String prereqs, String description, JellyScriptHousing housing );

    void addDynaTagLib( String tagLibUri, JellyScriptHousing housing );
}
