package org.apache.maven.repository;

/* ====================================================================
 *   Copyright 2001-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import org.apache.maven.project.Dependency;

/**
 * Generic artifact that builds its path and url information based on its
 * associated dependency. URLs are of the form "id/type/artifact".
 *
 * @author <a href="mailto:jason@zenplex.org">Jason van Zyl</a>
 *
 * @version $Id: GenericArtifact.java 169211 2005-05-09 01:23:02Z brett $
 */
public class GenericArtifact
    extends AbstractArtifact
{
    /**
     * Constructor for the GenericArtifact object
     *
     * @param dependency Project dependency.
     */
    public GenericArtifact( Dependency dependency )
    {
        super( dependency );
    }
}
