package org.apache.maven.repository;

/* ====================================================================
 *   Copyright 2001-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import org.apache.maven.project.Dependency;

/**
 * Plugin artifact that has special knowledge of the MavenSession's
 * plugin mechanism.
 *
 * @author <a href="mailto:jason@zenplex.org">Jason van Zyl</a>
 * @version $Id: PluginArtifact.java 423634 2006-07-19 22:13:40Z aheritier $
 */
public class PluginArtifact
    extends AbstractArtifact
{
    /**
     * Constructor for the MavenSession Plugin artifact object.
     *
     * @param dependency Project dependency.
     */
    public PluginArtifact( Dependency dependency )
    {
        super( dependency );
    }

    /** @see Artifact#generatePath */
    public String generatePath()
    {
        return null;
    }

    /** @see Artifact#getUrlPath */
    public String getUrlPath()
    {
        return null;
    }
}
