package org.apache.maven.verifier;

/* ====================================================================
 *   Copyright 2001-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import org.apache.maven.MavenException;

/**
 * Specialized artifact corruption exception.
 *
 * @author <a href="mailto:jason@zenplex.com">Jason van Zyl</a>
 * @version $Id: ChecksumVerificationException.java 407919 2006-05-19 21:55:30Z ltheussl $
 */
public class ChecksumVerificationException
    extends MavenException
{
    /**
     * Constructs an ChecksumVerificationException with the specified detail message.
     * @param message Detailed message.
     */
    public ChecksumVerificationException( String message )
    {
        super( message );
    }

    /**
     * Constructs a ChecksumVerificationException with the specified detail message
     * and the causing Throwable.
     * @param message Detailed message.
     * @param cause The Throwable.
     */
    public ChecksumVerificationException( String message, Throwable cause )
    {
        super( message, cause );
    }

}
