package org.apache.maven.verifier;

/* ====================================================================
 *   Copyright 2001-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import org.apache.maven.MavenException;

/**
 * Specialized unsatisfied dependency exception.
 *
 * @author <a href="mailto:jason@zenplex.com">Jason van Zyl</a>
 *
 * @version $Id: UnsatisfiedDependencyException.java 423634 2006-07-19 22:13:40Z aheritier $
 */
public class UnsatisfiedDependencyException
    extends MavenException
{
    /**
     * Constructs a UnsatisfiedDependencyException with the specified detail message.
     * @param message Detailed message.
     */
    public UnsatisfiedDependencyException( String message )
    {
        super( message );
    }
}
